# setup.py
from distutils.core import setup, Extension
import os

cflags = str(os.popen('pkg-config --cflags  kysdk-diagnostics').read()).split()
libs = str(os.popen('pkg-config --libs  kysdk-diagnostics').read()).split()

module = Extension(
    'buried_point',
    sources=['buried_point.c'],
    extra_compile_args=cflags,
    extra_link_args=libs,
    )

setup(name='buried_point',
    version='1.0',
    description='kdk_buried_point in python',
    ext_modules=[module]
    )